export default class UserSettingManager {
    private defaultSettings;
    private settingsNames;
    private settings;
    constructor(defaultSettings: object, settings?: object | null);
    updateSetting(settingName: string, value: unknown): Promise<void>;
    getSetting(settingName: string): any;
    removeSetting(settingName: string): void;
    getSettings(): object;
    private isKeyOfObject;
    private isValidValueForKey;
}
